#
# spec file for package python-jupyter_themer
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-jupyter_themer
Version:        0.4.0
Release:        bp155.2.11
License:        MIT
Summary:        Custom CSS themer for jupyter notebooks
Url:            https://github.com/transcranial/jupyter-themer
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/j/jupyter-themer/jupyter-themer-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
%if %{with test}
BuildRequires:  %{python_module jupyter_notebook}
%endif
Requires:       python-jupyter_notebook
BuildArch:      noarch

%python_subpackages

%description
Apply custom CSS styling to your jupyter notebooks.

%prep
%setup -q -n jupyter-themer-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%python3_only %{_bindir}/jupyter-themer
%{python_sitelib}/*

%changelog
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Sun Oct 22 2017 toddrme2178@gmail.com
- Initial version
